#
# Conditional build:
%bcond_without	python3 # Python 3.x module

Summary:	A comprehensive HTTP client library
Summary(pl.UTF-8):	Obszerna biblioteka klienta HTTP
Name:		python-httplib2
Version:	0.8
Release:	2
License:	MIT
Group:		Development/Languages/Python
Source0:	http://httplib2.googlecode.com/files/httplib2-%{version}.zip
# Source0-md5:	0803da81fe1bb92f864715665defe65f
URL:		http://bitworking.org/projects/httplib2/
BuildRequires:	python >= 2.3
BuildRequires:	python-modules
BuildRequires:	sed >= 4.0
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A comprehensive HTTP client library, httplib2.py supports many
features left out of other HTTP libraries. Supports:
- HTTP and HTTPS
- Keep-Alive
- Authentication
- Caching
- All Methods
- Redirects
- Compression
- Lost update support
- Unit Tested

%description -l pl.UTF-8
httplib2.py to obszerna biblioteka klienta HTTP, obsługująca wiele
cech pomijanych przez inne biblioteki. Obsługuje:
- HTTP i HTTPS
- Keep-Alive
- uwierzytelnianie
- buforowanie
- wszystkie metody
- przekierowania
- kompresję
- Lost update
- podlega testom jednostkowym.

%package -n python3-httplib2
Summary:	A comprehensive HTTP client library
Summary(pl.UTF-8):	Obszerna biblioteka klienta HTTP
Group:		Development/Languages/Python

%description -n python3-httplib2
A comprehensive HTTP client library, httplib2.py supports many
features left out of other HTTP libraries. Supports:
- HTTP and HTTPS
- Keep-Alive
- Authentication
- Caching
- All Methods
- Redirects
- Compression
- Lost update support
- Unit Tested

%description -n python3-httplib2 -l pl.UTF-8
httplib2.py to obszerna biblioteka klienta HTTP, obsługująca wiele
cech pomijanych przez inne biblioteki. Obsługuje:
- HTTP i HTTPS
- Keep-Alive
- uwierzytelnianie
- buforowanie
- wszystkie metody
- przekierowania
- kompresję
- Lost update
- podlega testom jednostkowym.

%prep
%setup -q -n httplib2-%{version}

%if %{with python3}
rm -rf build-3
set -- *
install -d build-3
cp -a "$@" build-3
find build-3 -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%if %{with python3}
cd build-3
%{__python3} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
cd ..
%endif

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%{py_sitescriptdir}/httplib2
%{py_sitescriptdir}/httplib2-%{version}-py*.egg-info

%files -n python3-httplib2
%defattr(644,root,root,755)
%doc python3/README CHANGELOG
%{py3_sitescriptdir}/httplib2
%{py3_sitescriptdir}/httplib2-%{version}-py*.egg-info
%changelog
* Wed May 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-httplib2.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f37be4f
- python 3.4
- release 2 (by relup.sh)

* Mon Jun 24 2013 Jan Rękorajski <baggins@pld-linux.org> dd8b494
- up to 0.8
- package python3 version of the module
- package all files (eggs included)

* Fri Oct 05 2012 Jan Rękorajski <baggins@pld-linux.org> 6b7f512
- updated to 0.7.6

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> c8b970f
- up to 0.7.2

* Tue Jul 19 2011 marti <marti@pld-linux.org> 8ed7808
- up to 0.7.1
- updated sources cause project is now hosted in google code repo

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a725a8a
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dd54755
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 665cdac
- release 2

* Sun Jun 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 190dfc0
- pl

* Thu Jun 14 2007 Elan Ruusamäe <glen@pld-linux.org> 2f9adc1
- new

